(***********************************************************************)
(*                                                                     *)
(*                           FaCiLe                                    *)
(*                                                                     *)
(*            Nicolas Barnier, Pascal Brisset, LOG, ENAC/CENA          *)
(*                                                                     *)
(***********************************************************************)
(* $Id: fcl_ac6.mli,v 1.7 2000/12/07 10:28:22 barnier Exp $ *)

(* Module [Ac6]: extensive binary constraints filtering with AC6 algorithm *)

val cstr : Fcl_var.Fd.t -> Fcl_var.Fd.t -> (int * int) list -> Fcl_cstr.t
(* [cstr var1 var2 nogoods] returns the constraint forbidding the integer
   couples contained in [nogoods] to be solution for the variable pair
   ([var1], [var2]) using the AC6 algorithm.
   Not reifiable. *)
